 createCompositionair_dust = function()
    
        local compositionair_dust = CreateCompositionSequence()
        local compositionDuration = 13.75
        compositionair_dust:SetDuration(compositionDuration)
    
    
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/29_firetemple_2/Animations/dust.png")
        element:SetName("Layer_1")
        compositionair_dust:AddElement(element)
        element:SetHotSpot(512, 512)
        element:SetParentElement(compositionair_dust)
        element:SetXY(512, 384)
    
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 6.88)
    
        effector:SetKey(_TRACK_SX, 0.00000651041667, 1.08378461122513)
        effector:SetKey(_TRACK_SY, 0.00000651041667, 1.08378461122513)
        effector:SetKey(_TRACK_SX, 6.84001302083333, 1.16756922245026)
        effector:SetKey(_TRACK_SY, 6.84001302083333, 1.16756922245026)
        effector:SetKey(_TRACK_O, 0.00000651041667, 1)
        effector:SetKey(_TRACK_O, 6.84001302083333, 0)
    
        effector:Play()
    
    
        -- Layer Layer_2
        local element = CreateCompositionElement("data/Texture/Scenes/29_firetemple_2/Animations/dust.png")
        element:SetName("Layer_2")
        compositionair_dust:AddElement(element)
        element:SetHotSpot(512, 512)
        element:SetParentElement(compositionair_dust)
        element:SetXY(512, 384)
    
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(6.84, 13.75)
    
        effector:SetKey(_TRACK_SX, 6.84, 1)
        effector:SetKey(_TRACK_SY, 6.84, 1)
        effector:SetKey(_TRACK_SX, 13.7083268229167, 1.0841315124114)
        effector:SetKey(_TRACK_SY, 13.7083268229167, 1.0841315124114)
        effector:SetKey(_TRACK_O, 6.84, 0)
        effector:SetKey(_TRACK_O, 13.6800065104167, 1)
        effector:SetKey(_TRACK_O, 13.7083268229167, 1)
    
        effector:Play()
    
    
        -- Layer Layer_3
        local element = CreateCompositionElement("data/Texture/Scenes/29_firetemple_2/Animations/dust.png")
        element:SetName("Layer_3")
        compositionair_dust:AddElement(element)
        element:SetHotSpot(512, 512)
        element:SetParentElement(compositionair_dust)
        element:SetXY(512, 384)
    
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 13.72)
    
        effector:SetKey(_TRACK_SX, 0, 1)
        effector:SetKey(_TRACK_SY, 0, 1)
        effector:SetKey(_TRACK_SX, 13.6800130208333, 1.16756922245026)
        effector:SetKey(_TRACK_SY, 13.6800130208333, 1.16756922245026)
        effector:SetKey(_TRACK_O, 0, 0)
        effector:SetKey(_TRACK_O, 6.84000651041667, 1)
        effector:SetKey(_TRACK_O, 13.6800130208333, 0)
    
        effector:Play()
    
        compositionair_dust:Play()
    
        return compositionair_dust
    end
    
createCompositionlok29 = function()

	local compositionlok29 = CreateCompositionSequence()
	local compositionDuration = 5.04
	compositionlok29:SetDuration(compositionDuration)



	-- Layer Layer_3
	local element = CreateCompositionElement("data/Texture/Scenes/29_firetemple_2/Animations/2.png")
	element:SetName("Layer_3")
	compositionlok29:AddElement(element)
	element:SetHotSpot(125.5, 137)
	element:SetParentElement(compositionlok29)
	element:SetXY(651.51399230957, 324.540878295898)

	element:SetScaleX(1.41024370770532)
	element:SetScaleY(1.56822750913141)
	element:SetAngle(-0.36721363802065)

	effector = element:GetEffector()
	effector:SetLifeTime(2.84, 5.16)

	effector:SetKey(_TRACK_O, 2.84, 0)
	effector:SetKey(_TRACK_O, 3.88, 0.40453328857422)
	effector:SetKey(_TRACK_O, 5.04, 0)

	effector:Play()


	-- Layer Layer_4
	local element = CreateCompositionElement("data/Texture/Scenes/29_firetemple_2/Animations/2.png")
	element:SetName("Layer_4")
	compositionlok29:AddElement(element)
	element:SetHotSpot(125.5, 137)
	element:SetParentElement(compositionlok29)
	element:SetXY(608.623931884766, 345.985916137695)

	element:SetScaleX(1.56661709440157)
	element:SetScaleY(1.5036422300478)
	element:SetAngle(-0.36721363802065)

	effector = element:GetEffector()
	effector:SetLifeTime(0.84, 3.16)

	effector:SetKey(_TRACK_O, 0.84, 0)
	effector:SetKey(_TRACK_O, 1.88, 0.40453328857422)
	effector:SetKey(_TRACK_O, 3.04, 0)

	effector:Play()


	-- Layer Layer_5
	local element = CreateCompositionElement("data/Texture/Scenes/29_firetemple_2/Animations/2.png")
	element:SetName("Layer_5")
	compositionlok29:AddElement(element)
	element:SetHotSpot(125.5, 137)
	element:SetParentElement(compositionlok29)
	element:SetXY(545.727386474609, 325.170608520508)

	element:SetScaleX(1.75826536784798)
	element:SetScaleY(1.52829900256048)
	element:SetAngle(0)

	effector = element:GetEffector()
	effector:SetLifeTime(2, 4.32)

	effector:SetKey(_TRACK_O, 2, 0)
	effector:SetKey(_TRACK_O, 3.12, 0.40453328857422)
	effector:SetKey(_TRACK_O, 4.2, 0)

	effector:Play()


	-- Layer Layer_6
	local element = CreateCompositionElement("data/Texture/Scenes/29_firetemple_2/Animations/2.png")
	element:SetName("Layer_6")
	compositionlok29:AddElement(element)
	element:SetHotSpot(125.5, 137)
	element:SetParentElement(compositionlok29)
	element:SetXY(540.366119384766, 327.85124206543)

	element:SetScaleX(1.36198264990255)
	element:SetScaleY(1.36198264990255)
	element:SetAngle(0)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.32)

	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 1.12, 0.40453328857422)
	effector:SetKey(_TRACK_O, 2.2, 0)

	effector:Play()

	-- Layer Layer_10
	local element = CreateCompositionElement("data/Texture/Scenes/29_firetemple_2/Animations/1.png")
	element:SetName("Layer_10")
	compositionlok29:AddElement(element)
	element:SetHotSpot(74, 5)
	element:SetParentElement(compositionlok29)
	element:SetXY(526.540573120117, 239.953109741211)

	element:SetAngle(0)

	effector = element:GetEffector()
	effector:SetLifeTime(0.4, 2.4)

	effector:SetKey(_TRACK_SX, 0.4, 1)
	effector:SetKey(_TRACK_SY, 0.4, 1)
	effector:SetKey(_TRACK_SX, 2.36, 1.16570045590139)
	effector:SetKey(_TRACK_SY, 2.36, 1.16570045590139)
	effector:SetKey(_TRACK_O, 0.4, 0)
	effector:SetKey(_TRACK_O, 0.88, 1)
	effector:SetKey(_TRACK_O, 1.96, 1)
	effector:SetKey(_TRACK_O, 2.36, 0)

	effector:Play()


	-- Layer Layer_11
	local element = CreateCompositionElement("data/Texture/Scenes/29_firetemple_2/Animations/1.png")
	element:SetName("Layer_11")
	compositionlok29:AddElement(element)
	element:SetHotSpot(74, 5)
	element:SetParentElement(compositionlok29)
	element:SetXY(619.132919311523, 156.275695800781)

	element:SetAngle(0)

	effector = element:GetEffector()
	effector:SetLifeTime(1.8, 3.8)

	effector:SetKey(_TRACK_SX, 1.8, 1)
	effector:SetKey(_TRACK_SY, 1.8, 1)
	effector:SetKey(_TRACK_SX, 3.76, 1.16570045590139)
	effector:SetKey(_TRACK_SY, 3.76, 1.16570045590139)
	effector:SetKey(_TRACK_O, 1.8, 0)
	effector:SetKey(_TRACK_O, 2.28, 1)
	effector:SetKey(_TRACK_O, 3.36, 1)
	effector:SetKey(_TRACK_O, 3.76, 0)

	effector:Play()


	-- Layer Layer_12
	local element = CreateCompositionElement("data/Texture/Scenes/29_firetemple_2/Animations/1.png")
	element:SetName("Layer_12")
	compositionlok29:AddElement(element)
	element:SetHotSpot(74, 5)
	element:SetParentElement(compositionlok29)
	element:SetXY(656.796966552734, 156.607696533203)

	element:SetAngle(0)

	effector = element:GetEffector()
	effector:SetLifeTime(2.52, 4.52)

	effector:SetKey(_TRACK_SX, 2.52, 1)
	effector:SetKey(_TRACK_SY, 2.52, 1)
	effector:SetKey(_TRACK_SX, 4.48, 1.16570045590139)
	effector:SetKey(_TRACK_SY, 4.48, 1.16570045590139)
	effector:SetKey(_TRACK_O, 2.52, 0)
	effector:SetKey(_TRACK_O, 3, 1)
	effector:SetKey(_TRACK_O, 4.08, 1)
	effector:SetKey(_TRACK_O, 4.48, 0)

	effector:Play()


	-- Layer Layer_13
	local element = CreateCompositionElement("data/Texture/Scenes/29_firetemple_2/Animations/1.png")
	element:SetName("Layer_13")
	compositionlok29:AddElement(element)
	element:SetHotSpot(74, 5)
	element:SetParentElement(compositionlok29)
	element:SetXY(710.593978881836, 233.183898925781)

	element:SetAngle(0)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 1.04)

	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 1, 1.16570045590139)
	effector:SetKey(_TRACK_SY, 1, 1.16570045590139)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 0.6, 1)
	effector:SetKey(_TRACK_O, 1, 0)

	effector:Play()


	-- Layer Layer_14
	local element = CreateCompositionElement("data/Texture/Scenes/29_firetemple_2/Animations/1.png")
	element:SetName("Layer_14")
	compositionlok29:AddElement(element)
	element:SetHotSpot(74, 5)
	element:SetParentElement(compositionlok29)
	element:SetXY(710.593978881836, 233.183898925781)

	element:SetAngle(0)

	effector = element:GetEffector()
	effector:SetLifeTime(4.04, 6.04)

	effector:SetKey(_TRACK_SX, 4.04, 1)
	effector:SetKey(_TRACK_SY, 4.04, 1)
	effector:SetKey(_TRACK_SX, 6, 1.16570045590139)
	effector:SetKey(_TRACK_SY, 6, 1.16570045590139)
	effector:SetKey(_TRACK_O, 4.04, 0)
	effector:SetKey(_TRACK_O, 4.52, 1)
	effector:SetKey(_TRACK_O, 5, 1)
	effector:SetKey(_TRACK_O, 5.6, 1)
	effector:SetKey(_TRACK_O, 6, 0)

	effector:Play()


	-- Layer Layer_15
	local element = CreateCompositionElement("data/Texture/Scenes/29_firetemple_2/Animations/1.png")
	element:SetName("Layer_15")
	compositionlok29:AddElement(element)
	element:SetHotSpot(74, 5)
	element:SetParentElement(compositionlok29)
	element:SetXY(710.593978881836, 233.183898925781)

	element:SetAngle(0)

	effector = element:GetEffector()
	effector:SetLifeTime(3.04, 5.04)

	effector:SetKey(_TRACK_SX, 3.04, 1)
	effector:SetKey(_TRACK_SY, 3.04, 1)
	effector:SetKey(_TRACK_SX, 5, 1.16570045590139)
	effector:SetKey(_TRACK_SY, 5, 1.16570045590139)
	effector:SetKey(_TRACK_O, 3.04, 0)
	effector:SetKey(_TRACK_O, 3.52, 1)
	effector:SetKey(_TRACK_O, 4.6, 1)
	effector:SetKey(_TRACK_O, 5, 0)

	effector:Play()


	-- Layer Layer_16
	local element = CreateCompositionElement("data/Texture/Scenes/29_firetemple_2/Animations/1.png")
	element:SetName("Layer_16")
	compositionlok29:AddElement(element)
	element:SetHotSpot(74, 5)
	element:SetParentElement(compositionlok29)
	element:SetXY(898.619155883789, 501.222137451172)

	element:SetAngle(0)

	effector = element:GetEffector()
	effector:SetLifeTime(2, 4)

	effector:SetKey(_TRACK_SX, 2, 1)
	effector:SetKey(_TRACK_SY, 2, 1)
	effector:SetKey(_TRACK_SX, 3.96, 1.16570045590139)
	effector:SetKey(_TRACK_SY, 3.96, 1.16570045590139)
	effector:SetKey(_TRACK_O, 2, 0)
	effector:SetKey(_TRACK_O, 2.48, 1)
	effector:SetKey(_TRACK_O, 3.56, 1)
	effector:SetKey(_TRACK_O, 3.96, 0)

	effector:Play()


	-- Layer Layer_17
	local element = CreateCompositionElement("data/Texture/Scenes/29_firetemple_2/Animations/1.png")
	element:SetName("Layer_17")
	compositionlok29:AddElement(element)
	element:SetHotSpot(74, 5)
	element:SetParentElement(compositionlok29)
	element:SetXY(349.563781738281, 483.582870483398)

	element:SetAngle(0)

	effector = element:GetEffector()
	effector:SetLifeTime(0.84, 2.84)

	effector:SetKey(_TRACK_SX, 0.84, 1)
	effector:SetKey(_TRACK_SY, 0.84, 1)
	effector:SetKey(_TRACK_SX, 2.8, 1.16570045590139)
	effector:SetKey(_TRACK_SY, 2.8, 1.16570045590139)
	effector:SetKey(_TRACK_O, 0.84, 0)
	effector:SetKey(_TRACK_O, 1.32, 1)
	effector:SetKey(_TRACK_O, 2.4, 1)
	effector:SetKey(_TRACK_O, 2.8, 0)

	effector:Play()


	-- Layer Layer_18
	local element = CreateCompositionElement("data/Texture/Scenes/29_firetemple_2/Animations/1.png")
	element:SetName("Layer_18")
	compositionlok29:AddElement(element)
	element:SetHotSpot(74, 5)
	element:SetParentElement(compositionlok29)
	element:SetXY(597.257507324219, 311.168060302734)

	element:SetAngle(0)

	effector = element:GetEffector()
	effector:SetLifeTime(0.2, 2.2)

	effector:SetKey(_TRACK_SX, 0.2, 1)
	effector:SetKey(_TRACK_SY, 0.2, 1)
	effector:SetKey(_TRACK_SX, 2.16, 1.16570045590139)
	effector:SetKey(_TRACK_SY, 2.16, 1.16570045590139)
	effector:SetKey(_TRACK_O, 0.2, 0)
	effector:SetKey(_TRACK_O, 0.68, 1)
	effector:SetKey(_TRACK_O, 1.76, 1)
	effector:SetKey(_TRACK_O, 2.16, 0)

	effector:Play()


	-- Layer Layer_19
	local element = CreateCompositionElement("data/Texture/Scenes/29_firetemple_2/Animations/1.png")
	element:SetName("Layer_19")
	compositionlok29:AddElement(element)
	element:SetHotSpot(74, 5)
	element:SetParentElement(compositionlok29)
	element:SetXY(622.385330200195, 37.5779724121094)

	element:SetAngle(0)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)

	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 0.96, 1.16570045590139)
	effector:SetKey(_TRACK_SY, 0.96, 1.16570045590139)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 0.56, 1)
	effector:SetKey(_TRACK_O, 0.96, 0)

	effector:Play()


	-- Layer Layer_20
	local element = CreateCompositionElement("data/Texture/Scenes/29_firetemple_2/Animations/1.png")
	element:SetName("Layer_20")
	compositionlok29:AddElement(element)
	element:SetHotSpot(74, 5)
	element:SetParentElement(compositionlok29)
	element:SetXY(622.385330200195, 37.5779724121094)

	element:SetAngle(0)

	effector = element:GetEffector()
	effector:SetLifeTime(4, 6)

	effector:SetKey(_TRACK_SX, 4, 1)
	effector:SetKey(_TRACK_SY, 4, 1)
	effector:SetKey(_TRACK_SX, 5.96, 1.16570045590139)
	effector:SetKey(_TRACK_SY, 5.96, 1.16570045590139)
	effector:SetKey(_TRACK_O, 4, 0)
	effector:SetKey(_TRACK_O, 4.48, 1)
	effector:SetKey(_TRACK_O, 5, 1)
	effector:SetKey(_TRACK_O, 5.56, 1)
	effector:SetKey(_TRACK_O, 5.96, 0)

	effector:Play()


	-- Layer Layer_21
	local element = CreateCompositionElement("data/Texture/Scenes/29_firetemple_2/Animations/1.png")
	element:SetName("Layer_21")
	compositionlok29:AddElement(element)
	element:SetHotSpot(74, 5)
	element:SetParentElement(compositionlok29)
	element:SetXY(622.385330200195, 37.5779724121094)

	element:SetAngle(0)

	effector = element:GetEffector()
	effector:SetLifeTime(3, 5)

	effector:SetKey(_TRACK_SX, 3, 1)
	effector:SetKey(_TRACK_SY, 3, 1)
	effector:SetKey(_TRACK_SX, 4.96, 1.16570045590139)
	effector:SetKey(_TRACK_SY, 4.96, 1.16570045590139)
	effector:SetKey(_TRACK_O, 3, 0)
	effector:SetKey(_TRACK_O, 3.48, 1)
	effector:SetKey(_TRACK_O, 4.56, 1)
	effector:SetKey(_TRACK_O, 4.96, 0)

	effector:Play()


	-- Layer Layer_22
	local element = CreateCompositionElement("data/Texture/Scenes/29_firetemple_2/Animations/1.png")
	element:SetName("Layer_22")
	compositionlok29:AddElement(element)
	element:SetHotSpot(74, 5)
	element:SetParentElement(compositionlok29)
	element:SetXY(621.27864074707, 143.155380249023)

	element:SetAngle(0)

	effector = element:GetEffector()
	effector:SetLifeTime(1.36, 3.36)

	effector:SetKey(_TRACK_SX, 1.36, 1)
	effector:SetKey(_TRACK_SY, 1.36, 1)
	effector:SetKey(_TRACK_SX, 3.32, 1.16570045590139)
	effector:SetKey(_TRACK_SY, 3.32, 1.16570045590139)
	effector:SetKey(_TRACK_O, 1.36, 0)
	effector:SetKey(_TRACK_O, 1.84, 1)
	effector:SetKey(_TRACK_O, 2.92, 1)
	effector:SetKey(_TRACK_O, 3.32, 0)

	effector:Play()

	compositionlok29:Play()

	return compositionlok29
end

createCompositionpauk_na_pautine = function()

	local compositionpauk_na_pautine = CreateCompositionSequence()
	local compositionDuration = 6.16
	compositionpauk_na_pautine:SetDuration(compositionDuration)


	-- Layer Layer_1
	local element = CreateCompositionElement("data/Texture/Animations/spider_move/blic.png")
	element:SetName("Layer_1")
	compositionpauk_na_pautine:AddElement(element)
	element:SetHotSpot(18.5, 9.5)
	compositionpauk_na_pautine:RegisterParentInfo("Layer_1", "Layer_3")
	element:SetXY(35.25, 33.25)

	element:SetScaleX(1)
	element:SetScaleY(1)
	element:SetAngle(0)
	element:SetOpacity(1)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 120)


	effector:Play()


	-- Layer Layer_2
	local element = CreateCompositionElement("data/Texture/Animations/spider_move/eyes.png")
	element:SetName("Layer_2")
	compositionpauk_na_pautine:AddElement(element)
	element:SetHotSpot(16, 20)
	compositionpauk_na_pautine:RegisterParentInfo("Layer_2", "Layer_3")
	element:SetScaleX(1)
	element:SetScaleY(1)
	element:SetAngle(0)
	element:SetOpacity(1)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 120)

	effector:SetKey(_TRACK_X, 0, 34)
	effector:SetKey(_TRACK_Y, 0, 32.25)
	effector:SetKey(_TRACK_X, 0.2, 35.732963042085)
	effector:SetKey(_TRACK_Y, 0.2, 30.2201528977325)
	effector:SetKey(_TRACK_X, 0.4, 33.8781701101718)
	effector:SetKey(_TRACK_Y, 0.4, 30.5707495345927)
	effector:SetKey(_TRACK_X, 0.6, 33.2254402294992)
	effector:SetKey(_TRACK_Y, 0.6, 34.410222174749)
	effector:SetKey(_TRACK_X, 0.8, 37.5225684377575)
	effector:SetKey(_TRACK_Y, 0.8, 30.4249931333354)
	effector:SetKey(_TRACK_X, 1, 36.119571520127)
	effector:SetKey(_TRACK_Y, 1, 35.6664860988189)
	effector:SetKey(_TRACK_X, 1.2, 34.4087038789026)
	effector:SetKey(_TRACK_Y, 1.2, 33.2215872676778)
	effector:SetKey(_TRACK_X, 1.4, 33.2471694082461)
	effector:SetKey(_TRACK_Y, 1.4, 29.5360499893185)
	effector:SetKey(_TRACK_X, 1.6, 30.4802392651143)
	effector:SetKey(_TRACK_Y, 1.6, 31.5319605090487)
	effector:SetKey(_TRACK_X, 1.8, 31.1666615802484)
	effector:SetKey(_TRACK_Y, 1.8, 30.2620242927335)
	effector:SetKey(_TRACK_X, 2, 36.0221564378796)
	effector:SetKey(_TRACK_Y, 2, 29.5030899990844)
	effector:SetKey(_TRACK_X, 2.2, 34.7413556321909)
	effector:SetKey(_TRACK_Y, 2.2, 32.9708471938231)
	effector:SetKey(_TRACK_X, 2.4, 37.092135380108)
	effector:SetKey(_TRACK_Y, 2.4, 30.7698522904141)
	effector:SetKey(_TRACK_X, 2.6, 34.7275612659078)
	effector:SetKey(_TRACK_Y, 2.6, 29.2407528916288)
	effector:SetKey(_TRACK_X, 2.8, 30.5877864925077)
	effector:SetKey(_TRACK_Y, 2.8, 32.3382595294046)
	effector:SetKey(_TRACK_X, 3, 33.7117831965087)
	effector:SetKey(_TRACK_Y, 3, 35.5447782830287)
	effector:SetKey(_TRACK_X, 3.2, 34.7066866054262)
	effector:SetKey(_TRACK_Y, 3.2, 29.2750556962798)
	effector:SetKey(_TRACK_X, 3.4, 36.3924069948424)
	effector:SetKey(_TRACK_Y, 3.4, 31.3656956694235)
	effector:SetKey(_TRACK_X, 3.6, 32.5584276863918)
	effector:SetKey(_TRACK_Y, 3.6, 36.1129108554338)
	effector:SetKey(_TRACK_X, 3.8, 30.314096499527)
	effector:SetKey(_TRACK_Y, 3.8, 28.8662297433393)
	effector:SetKey(_TRACK_X, 4, 36.8131962034974)
	effector:SetKey(_TRACK_Y, 4, 29.6423764763329)
	effector:SetKey(_TRACK_X, 4.2, 37.7955259865108)
	effector:SetKey(_TRACK_Y, 4.2, 33.4216666158025)
	effector:SetKey(_TRACK_X, 4.4, 35.1510361033967)
	effector:SetKey(_TRACK_Y, 4.4, 34.1117511520737)
	effector:SetKey(_TRACK_X, 4.6, 33.1382793664357)
	effector:SetKey(_TRACK_Y, 4.6, 31.2139576403088)
	effector:SetKey(_TRACK_X, 4.8, 34.8600115970336)
	effector:SetKey(_TRACK_Y, 4.8, 31.5342799157689)
	effector:SetKey(_TRACK_X, 5, 34.4220099490341)
	effector:SetKey(_TRACK_Y, 5, 31.1492584002197)
	effector:SetKey(_TRACK_X, 5.2, 34.0256355479598)
	effector:SetKey(_TRACK_Y, 5.2, 32.691175572985)
	effector:SetKey(_TRACK_X, 5.4, 31.2300180059206)
	effector:SetKey(_TRACK_Y, 5.4, 29.0842539750359)
	effector:SetKey(_TRACK_X, 5.6, 36.8097781304361)
	effector:SetKey(_TRACK_Y, 5.6, 28.790421765801)
	effector:SetKey(_TRACK_X, 5.8, 30.0831324198126)
	effector:SetKey(_TRACK_Y, 5.8, 31.6635563219092)
	effector:SetKey(_TRACK_X, 6, 34)
	effector:SetKey(_TRACK_Y, 6, 32.25)

	effector:Play()


	-- Layer Layer_3
	local element = CreateCompositionElement("data/Texture/Animations/spider_move/telo.png")
	element:SetName("Layer_3")
	compositionpauk_na_pautine:AddElement(element)
	element:SetHotSpot(34.5, 38.5)
	element:SetParentElement(compositionpauk_na_pautine)
	element:SetScaleX(0.3542518351214)
	element:SetScaleY(0.3542518351214)
	element:SetAngle(0)
	element:SetOpacity(1)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 120)

	effector:SetKey(_TRACK_X, 0, 88.75)
	effector:SetKey(_TRACK_Y, 0, 73.75)
	effector:SetKey(_TRACK_X, 0.24, 88.7499999999999)
	effector:SetKey(_TRACK_Y, 0.24, 215.221788868509)
	effector:SetKey(_TRACK_X, 0.68, 88.75)
	effector:SetKey(_TRACK_Y, 0.68, 304.998446704651)
	effector:SetKey(_TRACK_X, 0.88, 88.75)
	effector:SetKey(_TRACK_Y, 0.88, 386.615609648803)
	effector:SetKey(_TRACK_X, 1.36, 88.75)
	effector:SetKey(_TRACK_Y, 1.36, 443.75)
	effector:SetKey(_TRACK_X, 3.04, 88.75)
	effector:SetKey(_TRACK_Y, 3.04, 443.75)
	effector:SetKey(_TRACK_X, 3.64, 88.75)
	effector:SetKey(_TRACK_Y, 3.64, 363.75)
	effector:SetKey(_TRACK_X, 4.04, 88.75)
	effector:SetKey(_TRACK_Y, 4.04, 344.75)
	effector:SetKey(_TRACK_X, 4.68, 88.75)
	effector:SetKey(_TRACK_Y, 4.68, 234.75)
	effector:SetKey(_TRACK_X, 5.32, 88.75)
	effector:SetKey(_TRACK_Y, 5.32, 204.75)
	effector:SetKey(_TRACK_X, 6, 88.75)
	effector:SetKey(_TRACK_Y, 6, 64.75)

	effector:Play()


	-- Layer Layer_4
	local element = CreateCompositionElement("data/Texture/Animations/spider_move/pautikka.png")
	element:SetName("Layer_4")
	compositionpauk_na_pautine:AddElement(element)
	element:SetHotSpot(5.5, 270.5)
	compositionpauk_na_pautine:RegisterParentInfo("Layer_4", "Layer_3")
	element:SetXY(33.1939528023578, -293.671337266424)

	element:SetScaleX(1.74139626352016)
	element:SetScaleY(3.19139626352016)
	element:SetAngle(0)
	element:SetOpacity(1)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 120)


	effector:Play()


	-- Layer Layer_5
	local element = CreateCompositionElement("data/Texture/Animations/spider_move/lapa.png")
	element:SetName("Layer_5")
	compositionpauk_na_pautine:AddElement(element)
	element:SetHotSpot(5, 41)
	compositionpauk_na_pautine:RegisterParentInfo("Layer_5", "Layer_3")
	element:SetXY(23.5, 44.25)

	element:SetScaleX(-1.16666666666667)
	element:SetScaleY(0.977587343441)
	element:SetOpacity(1)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 120)

	effector:SetKey(_TRACK_A, 0, -0.36392289896542)
	effector:SetKey(_TRACK_A, 0.2, -0.37487415156102)
	effector:SetKey(_TRACK_A, 0.4, -0.44582292810449)
	effector:SetKey(_TRACK_A, 0.6, -0.11890460159306)
	effector:SetKey(_TRACK_A, 0.8, 0.04898619695426)
	effector:SetKey(_TRACK_A, 1, 0.27664015412153)
	effector:SetKey(_TRACK_A, 1.2, -0.41380010193487)
	effector:SetKey(_TRACK_A, 1.4, -0.97131260518204)
	effector:SetKey(_TRACK_A, 1.6, 0.08305439325847)
	effector:SetKey(_TRACK_A, 1.8, -0.43926069892269)
	effector:SetKey(_TRACK_A, 2, -0.9775126334025)
	effector:SetKey(_TRACK_A, 2.2, -0.11888329565416)
	effector:SetKey(_TRACK_A, 2.4, -0.50417989475692)
	effector:SetKey(_TRACK_A, 2.6, -0.45536798873256)
	effector:SetKey(_TRACK_A, 2.8, 0.30778943679617)
	effector:SetKey(_TRACK_A, 3, -0.39385774312265)
	effector:SetKey(_TRACK_A, 3.2, -1.01980492212286)
	effector:SetKey(_TRACK_A, 3.4, -0.29425247875606)
	effector:SetKey(_TRACK_A, 3.6, -0.17355433487655)
	effector:SetKey(_TRACK_A, 3.8, 0.00965543374127)
	effector:SetKey(_TRACK_A, 4, -0.04075441770073)
	effector:SetKey(_TRACK_A, 4.2, -0.98914567604297)
	effector:SetKey(_TRACK_A, 4.4, 0.00006776123539)
	effector:SetKey(_TRACK_A, 4.6, 0.17311459699698)
	effector:SetKey(_TRACK_A, 4.8, 0.23809771064791)
	effector:SetKey(_TRACK_A, 5, 0.32858403316447)
	effector:SetKey(_TRACK_A, 5.2, -0.34025200084536)
	effector:SetKey(_TRACK_A, 5.4, -0.83574291594897)
	effector:SetKey(_TRACK_A, 5.6, 0.25092388586688)
	effector:SetKey(_TRACK_A, 5.8, 0.26732945882138)
	effector:SetKey(_TRACK_A, 6, -0.36392289896542)

	effector:Play()


	-- Layer Layer_6
	local element = CreateCompositionElement("data/Texture/Animations/spider_move/lapa.png")
	element:SetName("Layer_6")
	compositionpauk_na_pautine:AddElement(element)
	element:SetHotSpot(5, 41)
	compositionpauk_na_pautine:RegisterParentInfo("Layer_6", "Layer_3")
	element:SetXY(22.25, 32.25)

	element:SetScaleX(-1.16666666666667)
	element:SetScaleY(0.977587343441)
	element:SetOpacity(1)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 120)

	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.2, 0.49291289649648)
	effector:SetKey(_TRACK_A, 0.4, 0.18389155866268)
	effector:SetKey(_TRACK_A, 0.6, -0.51362226910916)
	effector:SetKey(_TRACK_A, 0.8, -0.25688570534074)
	effector:SetKey(_TRACK_A, 1, 0.27171463881649)
	effector:SetKey(_TRACK_A, 1.2, 0.36011297932066)
	effector:SetKey(_TRACK_A, 1.4, 0.06975564396496)
	effector:SetKey(_TRACK_A, 1.6, -0.30678421424909)
	effector:SetKey(_TRACK_A, 1.8, 0.6192358082461)
	effector:SetKey(_TRACK_A, 2, -0.17234373977783)
	effector:SetKey(_TRACK_A, 2.2, 0.11447680972015)
	effector:SetKey(_TRACK_A, 2.4, 0.28179234791711)
	effector:SetKey(_TRACK_A, 2.6, -0.5095954466567)
	effector:SetKey(_TRACK_A, 2.8, -0.09110419474471)
	effector:SetKey(_TRACK_A, 3, -0.02441660598163)
	effector:SetKey(_TRACK_A, 3.2, 0.39179491046785)
	effector:SetKey(_TRACK_A, 3.4, -0.220324714185)
	effector:SetKey(_TRACK_A, 3.6, 0.35144146218757)
	effector:SetKey(_TRACK_A, 3.8, 0.48358089525742)
	effector:SetKey(_TRACK_A, 4, -0.10271593144627)
	effector:SetKey(_TRACK_A, 4.2, -0.57675176607562)
	effector:SetKey(_TRACK_A, 4.4, -0.39390419841914)
	effector:SetKey(_TRACK_A, 4.6, 0.15357320760521)
	effector:SetKey(_TRACK_A, 4.8, 0.2389674107242)
	effector:SetKey(_TRACK_A, 5, 0.53865674731895)
	effector:SetKey(_TRACK_A, 5.2, 0.13799856626789)
	effector:SetKey(_TRACK_A, 5.4, -0.45971824368725)
	effector:SetKey(_TRACK_A, 5.6, 0.63542832181158)
	effector:SetKey(_TRACK_A, 5.8, 0.11000256255074)
	effector:SetKey(_TRACK_A, 6, 0)

	effector:Play()


	-- Layer Layer_7
	local element = CreateCompositionElement("data/Texture/Animations/spider_move/lapa.png")
	element:SetName("Layer_7")
	compositionpauk_na_pautine:AddElement(element)
	element:SetHotSpot(5, 41)
	compositionpauk_na_pautine:RegisterParentInfo("Layer_7", "Layer_3")
	element:SetXY(26, 21.25)

	element:SetScaleX(-0.7948717948718)
	element:SetScaleY(0.77027027027027)
	element:SetOpacity(1)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 120)

	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.2, 0.32016434387951)
	effector:SetKey(_TRACK_A, 0.4, 0.19452322217475)
	effector:SetKey(_TRACK_A, 0.6, 0.33011421734672)
	effector:SetKey(_TRACK_A, 0.8, -0.51392055225379)
	effector:SetKey(_TRACK_A, 1, 0.2279522403119)
	effector:SetKey(_TRACK_A, 1.2, -0.09479012217475)
	effector:SetKey(_TRACK_A, 1.4, 0.33708125936766)
	effector:SetKey(_TRACK_A, 1.6, -0.48914174531083)
	effector:SetKey(_TRACK_A, 1.8, 0.0668154243965)
	effector:SetKey(_TRACK_A, 2, 0.33490805359966)
	effector:SetKey(_TRACK_A, 2.2, -0.57636825917539)
	effector:SetKey(_TRACK_A, 2.4, -0.21857762719504)
	effector:SetKey(_TRACK_A, 2.6, -0.50782705372784)
	effector:SetKey(_TRACK_A, 2.8, 0.3342688754326)
	effector:SetKey(_TRACK_A, 3, -0.03828677220679)
	effector:SetKey(_TRACK_A, 3.2, -0.08036600153813)
	effector:SetKey(_TRACK_A, 3.4, 0.22624776519974)
	effector:SetKey(_TRACK_A, 3.6, -0.00828801023286)
	effector:SetKey(_TRACK_A, 3.8, -0.33582420897244)
	effector:SetKey(_TRACK_A, 4, 0.60378900254219)
	effector:SetKey(_TRACK_A, 4.2, 0.36036865058748)
	effector:SetKey(_TRACK_A, 4.4, 0.40941492193976)
	effector:SetKey(_TRACK_A, 4.6, -0.25837712106388)
	effector:SetKey(_TRACK_A, 4.8, 0.53563130399487)
	effector:SetKey(_TRACK_A, 5, 0.33081731333048)
	effector:SetKey(_TRACK_A, 5.2, -0.61529420954924)
	effector:SetKey(_TRACK_A, 5.4, -0.53616395246742)
	effector:SetKey(_TRACK_A, 5.6, 0.2301680579577)
	effector:SetKey(_TRACK_A, 5.8, 0.37950138372143)
	effector:SetKey(_TRACK_A, 6, 0)

	effector:Play()


	-- Layer Layer_8
	local element = CreateCompositionElement("data/Texture/Animations/spider_move/lapa.png")
	element:SetName("Layer_8")
	compositionpauk_na_pautine:AddElement(element)
	element:SetHotSpot(5, 41)
	compositionpauk_na_pautine:RegisterParentInfo("Layer_8", "Layer_3")
	element:SetXY(43.25, 20.5)

	element:SetScaleX(0.76282051282051)
	element:SetScaleY(0.77027027027027)
	element:SetOpacity(1)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 120)

	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.2, 0.58810783151036)
	effector:SetKey(_TRACK_A, 0.4, -0.35604354499039)
	effector:SetKey(_TRACK_A, 0.6, -0.58531675351421)
	effector:SetKey(_TRACK_A, 0.8, -0.34458094986114)
	effector:SetKey(_TRACK_A, 1, 0.33778435535142)
	effector:SetKey(_TRACK_A, 1.2, -0.33686819997864)
	effector:SetKey(_TRACK_A, 1.4, 0.24621142995087)
	effector:SetKey(_TRACK_A, 1.6, -0.68464504067507)
	effector:SetKey(_TRACK_A, 1.8, 0.03583658923307)
	effector:SetKey(_TRACK_A, 2, 0.28426383682974)
	effector:SetKey(_TRACK_A, 2.2, -0.52536184144414)
	effector:SetKey(_TRACK_A, 2.4, 0.2224340021363)
	effector:SetKey(_TRACK_A, 2.6, -0.22089997453536)
	effector:SetKey(_TRACK_A, 2.8, 0.14185494120914)
	effector:SetKey(_TRACK_A, 3, -0.41467748884854)
	effector:SetKey(_TRACK_A, 3.2, -0.48253690425123)
	effector:SetKey(_TRACK_A, 3.4, -0.00368592743004)
	effector:SetKey(_TRACK_A, 3.6, -0.36641953723563)
	effector:SetKey(_TRACK_A, 3.8, 0.6893110412946)
	effector:SetKey(_TRACK_A, 4, -0.09236124513993)
	effector:SetKey(_TRACK_A, 4.2, 0.28232499638966)
	effector:SetKey(_TRACK_A, 4.4, 0.10337641555223)
	effector:SetKey(_TRACK_A, 4.6, -0.35972947242042)
	effector:SetKey(_TRACK_A, 4.8, -0.50639955582141)
	effector:SetKey(_TRACK_A, 5, -0.41248297714164)
	effector:SetKey(_TRACK_A, 5.2, 0.68577425543687)
	effector:SetKey(_TRACK_A, 5.4, 0.54151174313181)
	effector:SetKey(_TRACK_A, 5.6, 0.29838967432173)
	effector:SetKey(_TRACK_A, 5.8, 0.20085108602863)
	effector:SetKey(_TRACK_A, 6, 0)

	effector:Play()


	-- Layer Layer_9
	local element = CreateCompositionElement("data/Texture/Animations/spider_move/lapa.png")
	element:SetName("Layer_9")
	compositionpauk_na_pautine:AddElement(element)
	element:SetHotSpot(5, 41)
	compositionpauk_na_pautine:RegisterParentInfo("Layer_9", "Layer_3")
	element:SetXY(48.5, 43.75)

	element:SetScaleX(1)
	element:SetScaleY(1)
	element:SetOpacity(1)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 120)

	effector:SetKey(_TRACK_A, 0, 0.45866733925171)
	effector:SetKey(_TRACK_A, 0.2, 0.09676466106329)
	effector:SetKey(_TRACK_A, 0.4, 0.69942444884368)
	effector:SetKey(_TRACK_A, 0.6, 0.43529472427628)
	effector:SetKey(_TRACK_A, 0.8, 0.87355788748927)
	effector:SetKey(_TRACK_A, 1, 0.93008254339612)
	effector:SetKey(_TRACK_A, 1.2, -0.13063362483716)
	effector:SetKey(_TRACK_A, 1.4, 0.87181080049931)
	effector:SetKey(_TRACK_A, 1.6, 0.50149227644462)
	effector:SetKey(_TRACK_A, 1.8, -0.01004201065216)
	effector:SetKey(_TRACK_A, 2, -0.12061983355325)
	effector:SetKey(_TRACK_A, 2.2, 0.76736908800198)
	effector:SetKey(_TRACK_A, 2.4, 0.83518589152687)
	effector:SetKey(_TRACK_A, 2.6, -0.03045310012022)
	effector:SetKey(_TRACK_A, 2.8, 0.92236979351362)
	effector:SetKey(_TRACK_A, 3, 0.31076151139442)
	effector:SetKey(_TRACK_A, 3.2, 0.9626806299161)
	effector:SetKey(_TRACK_A, 3.4, 0.68664088550251)
	effector:SetKey(_TRACK_A, 3.6, 0.45291473574819)
	effector:SetKey(_TRACK_A, 3.8, 1.0568954917405)
	effector:SetKey(_TRACK_A, 4, 0.94802214395156)
	effector:SetKey(_TRACK_A, 4.2, 0.49829638560933)
	effector:SetKey(_TRACK_A, 4.4, 0.16081031340253)
	effector:SetKey(_TRACK_A, 4.6, 0.42466306076421)
	effector:SetKey(_TRACK_A, 4.8, -0.15860832261541)
	effector:SetKey(_TRACK_A, 5, 0.83710342602804)
	effector:SetKey(_TRACK_A, 5.2, 0.89045349703851)
	effector:SetKey(_TRACK_A, 5.4, 0.58848442498126)
	effector:SetKey(_TRACK_A, 5.6, 0.83458932523761)
	effector:SetKey(_TRACK_A, 5.8, 0.73835039921753)
	effector:SetKey(_TRACK_A, 6, 0.45866733925171)

	effector:Play()


	-- Layer Layer_10
	local element = CreateCompositionElement("data/Texture/Animations/spider_move/lapa.png")
	element:SetName("Layer_10")
	compositionpauk_na_pautine:AddElement(element)
	element:SetHotSpot(5, 41)
	compositionpauk_na_pautine:RegisterParentInfo("Layer_10", "Layer_3")
	element:SetXY(50.25, 32)

	element:SetScaleX(1)
	element:SetScaleY(1)
	element:SetOpacity(1)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 120)

	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.2, 0.6685377508652)
	effector:SetKey(_TRACK_A, 0.4, 0.4657904362743)
	effector:SetKey(_TRACK_A, 0.6, 0.38325122896817)
	effector:SetKey(_TRACK_A, 0.8, 0.67887113123264)
	effector:SetKey(_TRACK_A, 1, 0.17824548485366)
	effector:SetKey(_TRACK_A, 1.2, 0.60560000734886)
	effector:SetKey(_TRACK_A, 1.4, -0.127111231489)
	effector:SetKey(_TRACK_A, 1.6, 0.63547093368938)
	effector:SetKey(_TRACK_A, 1.8, -0.5468595337962)
	effector:SetKey(_TRACK_A, 2, -0.50064695231788)
	effector:SetKey(_TRACK_A, 2.2, 0.14912026637471)
	effector:SetKey(_TRACK_A, 2.4, -0.53693096626789)
	effector:SetKey(_TRACK_A, 2.6, -0.12157168737449)
	effector:SetKey(_TRACK_A, 2.8, 0.31147152080752)
	effector:SetKey(_TRACK_A, 3, 0.24203546592608)
	effector:SetKey(_TRACK_A, 3.2, 0.4428013281991)
	effector:SetKey(_TRACK_A, 3.4, -0.00639178167058)
	effector:SetKey(_TRACK_A, 3.6, 0.52227248030335)
	effector:SetKey(_TRACK_A, 3.8, 0.64697614069643)
	effector:SetKey(_TRACK_A, 4, 0.35853633984191)
	effector:SetKey(_TRACK_A, 4.2, 0.07793712450331)
	effector:SetKey(_TRACK_A, 4.4, 0.24721280907926)
	effector:SetKey(_TRACK_A, 4.6, -0.38169589542833)
	effector:SetKey(_TRACK_A, 4.8, 0.50537687075411)
	effector:SetKey(_TRACK_A, 5, -0.32434030790429)
	effector:SetKey(_TRACK_A, 5.2, -0.1622234187994)
	effector:SetKey(_TRACK_A, 5.4, -0.19405449151891)
	effector:SetKey(_TRACK_A, 5.6, -0.63057056774194)
	effector:SetKey(_TRACK_A, 5.8, -0.52623538493912)
	effector:SetKey(_TRACK_A, 6, 0)

	effector:Play()

	compositionpauk_na_pautine:Play()

	return compositionpauk_na_pautine
end


createCompositionrat_runComp1 = function()
    
        local compositionrat_runComp1 = CreateCompositionSequence()
        local compositionDuration = 4.6
        compositionrat_runComp1:SetDuration(compositionDuration)
    
    
        -- Layer Layer_1
        local element = createCompositionrat_run()
        element:SetName("Layer_1")
        compositionrat_runComp1:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionrat_runComp1)
        element:SetXY(512, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(4.25, 4.5)
    
    
        effector:Play()
    
    
        -- Layer Layer_2
        local element = createCompositionrat_run()
        element:SetName("Layer_2")
        compositionrat_runComp1:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionrat_runComp1)
        element:SetXY(512, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(4, 4.25)
    
    
        effector:Play()
    
    
        -- Layer Layer_3
        local element = createCompositionrat_run()
        element:SetName("Layer_3")
        compositionrat_runComp1:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionrat_runComp1)
        element:SetXY(512, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(3.75, 4)
    
    
        effector:Play()
    
    
        -- Layer Layer_4
        local element = createCompositionrat_run()
        element:SetName("Layer_4")
        compositionrat_runComp1:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionrat_runComp1)
        element:SetXY(512, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(3.5, 3.75)
    
    
        effector:Play()
    
    
        -- Layer Layer_5
        local element = createCompositionrat_run()
        element:SetName("Layer_5")
        compositionrat_runComp1:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionrat_runComp1)
        element:SetXY(512, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(3.25, 3.5)
    
    
        effector:Play()
    
    
        -- Layer Layer_6
        local element = createCompositionrat_run()
        element:SetName("Layer_6")
        compositionrat_runComp1:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionrat_runComp1)
        element:SetXY(512, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(3, 3.25)
    
    
        effector:Play()
    
    
        -- Layer Layer_7
        local element = createCompositionrat_run()
        element:SetName("Layer_7")
        compositionrat_runComp1:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionrat_runComp1)
        element:SetXY(512, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(2.75, 3)
    
    
        effector:Play()
    
    
        -- Layer Layer_8
        local element = createCompositionrat_run()
        element:SetName("Layer_8")
        compositionrat_runComp1:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionrat_runComp1)
        element:SetXY(512, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(2.5, 2.75)
    
    
        effector:Play()
    
    
        -- Layer Layer_9
        local element = createCompositionrat_run()
        element:SetName("Layer_9")
        compositionrat_runComp1:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionrat_runComp1)
        element:SetXY(512, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(2.25, 2.5)
    
    
        effector:Play()
    
    
        -- Layer Layer_10
        local element = createCompositionrat_run()
        element:SetName("Layer_10")
        compositionrat_runComp1:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionrat_runComp1)
        element:SetXY(512, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(2, 2.25)
    
    
        effector:Play()
    
    
        -- Layer Layer_11
        local element = createCompositionrat_run()
        element:SetName("Layer_11")
        compositionrat_runComp1:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionrat_runComp1)
        element:SetXY(512, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(1.75, 2)
    
    
        effector:Play()
    
    
        -- Layer Layer_12
        local element = createCompositionrat_run()
        element:SetName("Layer_12")
        compositionrat_runComp1:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionrat_runComp1)
        element:SetXY(512, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(1.5, 1.75)
    
    
        effector:Play()
    
    
        -- Layer Layer_13
        local element = createCompositionrat_run()
        element:SetName("Layer_13")
        compositionrat_runComp1:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionrat_runComp1)
        element:SetXY(512, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(1.25, 1.5)
    
    
        effector:Play()
    
    
        -- Layer Layer_14
        local element = createCompositionrat_run()
        element:SetName("Layer_14")
        compositionrat_runComp1:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionrat_runComp1)
        element:SetXY(512, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(1, 1.25)
    
    
        effector:Play()
    
    
        -- Layer Layer_15
        local element = createCompositionrat_run()
        element:SetName("Layer_15")
        compositionrat_runComp1:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionrat_runComp1)
        element:SetXY(512, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0.75, 1)
    
    
        effector:Play()
    
    
        -- Layer Layer_16
        local element = createCompositionrat_run()
        element:SetName("Layer_16")
        compositionrat_runComp1:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionrat_runComp1)
        element:SetXY(512, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0.5, 0.75)
    
    
        effector:Play()
    
    
        -- Layer Layer_17
        local element = createCompositionrat_run()
        element:SetName("Layer_17")
        compositionrat_runComp1:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionrat_runComp1)
        element:SetXY(512, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0.25, 0.5)
    
    
        effector:Play()
    
    
        -- Layer Layer_18
        local element = createCompositionrat_run()
        element:SetName("Layer_18")
        compositionrat_runComp1:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionrat_runComp1)
        element:SetXY(512, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 0.25)
    
    
        effector:Play()
    
        compositionrat_runComp1:Play()
    
        return compositionrat_runComp1
    end
    
createCompositionRunningRat = function()

	local compositionlok29 = CreateCompositionSequence()
	local compositionDuration = 5.04
	compositionlok29:SetDuration(compositionDuration)
	
	-- Layer Layer_9
	local element = createCompositionrat_runComp1()
	element:SetName("Layer_9")
	compositionlok29:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionlok29)
	element:SetScaleX(0.24)
	element:SetScaleY(0.24)
	element:SetAngle(-0.01692557357817)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 5)

	effector:SetKey(_TRACK_X, 0, 811.068069458008)
	effector:SetKey(_TRACK_Y, 0, 810.5)
	effector:SetKey(_TRACK_X, 0.6, 583.975976047439)
	effector:SetKey(_TRACK_Y, 0.6, 738.424887440139)
	effector:SetKey(_TRACK_X, 1.3, 227.003372192383)
	effector:SetKey(_TRACK_Y, 1.3, 782.985610961914)
	effector:SetKey(_TRACK_O, 1.3, 1)
	effector:SetKey(_TRACK_O, 1.35, 0)

	effector:Play()

	compositionlok29:Play()

	return compositionlok29
end

